Create scenario model
curl --request POST \
--url https://api.vantage.sh/v2/scenario_models \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"priority": 123,
"provider": "<string>",
"service": "<string>",
"workspace_token": "<string>",
"periods": [
{
"start_at": "2023-12-25",
"amount": 123,
"end_at": "2023-12-25"
}
]
}
'import requests
url = "https://api.vantage.sh/v2/scenario_models"
payload = {
"title": "<string>",
"priority": 123,
"provider": "<string>",
"service": "<string>",
"workspace_token": "<string>",
"periods": [
{
"start_at": "2023-12-25",
"amount": 123,
"end_at": "2023-12-25"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
priority: 123,
provider: '<string>',
service: '<string>',
workspace_token: '<string>',
periods: [{start_at: '2023-12-25', amount: 123, end_at: '2023-12-25'}]
})
};
fetch('https://api.vantage.sh/v2/scenario_models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "frcst_mdl_e42020822501d0ee",
"title": "Expansion Plan",
"priority": 4,
"workspace_token": null,
"provider": null,
"service": null,
"periods": [
{
"start_at": "2026-04-01",
"end_at": null,
"amount": "9876.54321",
"amount_type": "percent"
}
],
"created_by_token": "usr_cc82bf4cf16d5452",
"created_at": "2026-07-28T15:37:50Z",
"updated_at": "2026-07-28T15:37:50Z"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}ScenarioModels
Create scenario model
Create a ScenarioModel.
POST
/
scenario_models
Create scenario model
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Create a ScenarioModel.
ScenarioModel model
Show child attributes
Show child attributes
⌘I